<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100071";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<style type="text/css">
body,td,th {
	font-size: 9px;
}
</style>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}

</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
			
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
		 $BorraBuf=$_POST['EliBuf'] or $BorraBuf=$_GET['EliBuf'];
		
		///////////Elimina el Buffer de traspaso por usuario y cuenta cada vez que se ingresa al modulo/////////////////////			
		if ($BorraBuf=="SI")
		{				
		$sqlCDC= "DELETE FROM temporal_cambiocaducidad WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn'";
		$resultadoCDC=mysql_query($sqlCDC,$conexion) or die(mysql_error());
		
		$sqlCDC2= "DELETE FROM temporal_bitacora_caducidad WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn'";
		$resultadoCDC2=mysql_query($sqlCDC2,$conexion) or die(mysql_error());
		
		$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND TIPO_PROCESO='CAMBIO CADUCIDAD'";
		$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
		
		}
		
			///Arrastrando Campos
			
			$NPalletEn=strtoupper($_POST['txt_NPALLET']) or $NPalletEn=strtoupper($_GET['txt_NPALLET']);
			$Pallet=$_POST['txt_NPALLET'] or $Pallet=$_GET['txt_NPALLET'];
			
			$sqlF = mysql_query("select * from tabla_inventario where NO_PALLET='$NPalletEn' or NO_PALLET='$Pallet'");
				if (mysql_numrows($sqlF)==0) echo "";
				else{
				$registroF=mysql_fetch_array($sqlF);
				}
				if (mysql_numrows($sqlF)>0)
				{
				$FcaducidadPG=$registroF["CADUCIDAD"];
				$SkuIDP1=$registroF["SKU"];
					$DesIDP1=$registroF["DESCRIPCION"];
					$CanIDP1=$registroF["CANTIDAD"];
					$UbiIDP1=$registroF["UBICACION"];
					$FeEIDP1=$registroF["FECHA_ENTRADA"];
					$CAlIDP1=$registroF["EDO_CALIDAD"];
					$LotIDP1=$registroF["LOTE"];
					$LWmIDP1=$registroF["LOTEWMS"];
					$LPrIDP1=$registroF["LOTEPRODU"];

				}
			
			//$FcaducidadPG=$_POST['FchCaduKP'] or $FcaducidadPG=$_GET['FchCaduKP'];
			
			
			//////Identificar si el Pallet Existe
			$sqlID1 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletEn' or NO_PALLET='$Pallet'");
			if (mysql_numrows($sqlID1)==0) 
			{
				echo "<script>alert('El Pallet escaneado o digitado No Existe dentro del WMS\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NPALLET=$NPalletEn'";
			}
			else
			{
				/////////Identificar si ya se agrego el pallet al Buffer///////
				$sqlID1 = mysql_query("select * from temporal_cambiocaducidad WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletEn' and USUARIO='$UsuEn'");
				if (mysql_numrows($sqlID1)==0) echo "";
				else{
				$registroID1=mysql_fetch_array($sqlID1);
				}
				if (mysql_numrows($sqlID1)>0)
				{
				echo "<script>alert('Ya has añadido este pallet al buffer de Edicion de fecha de caducidad.\\nFavor de corroborarlo.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else 
				{ 
				/////////Identificar si el pallet se encuentra en proceco - Pallet en Movimiento///////
				$sqlID0 = mysql_query("select * from tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NPalletEn'");
				if (mysql_numrows($sqlID0)<>0)
				{
				echo "<script>alert('El Pallet que deseas agregar al cambio de caducidad actualmente se encuentra en proceso y/o movimiento.\\nFavor de corroborarlo en su respectivo reporte.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else 
				{
				/////////Identidicar la disponibilidad del Pallet en el buffer - Detectar si otro usuario ya lo agrego///////
					$sqlID2 = mysql_query("select * from temporal_cambiocaducidad where NO_PALLET='$NPalletEn' and USUARIO<>'$UsuEn'");
					if (mysql_numrows($sqlID2)==0) echo "";
					else{
					$registroID2=mysql_fetch_array($sqlID2);
					}
					if (mysql_numrows($sqlID2)>0)
					{
					echo "<script>alert('El pallet que deseas procesar actualmente se encuentra bloqueado por otro proceso y/o usuario,\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=2-ProcesosCaducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
					}
					else 
					{ 
							
						///////GENERADOR DE FOLIO///////////
						$sqlID = "select max(ID) as ultimo_FOLIO from temporal_cambiocaducidad"; 
						$lib = mysql_query($sqlID); 
						$rs_lib = mysql_fetch_assoc($lib); 
						$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
				
						//////Guardar registro en Buffer dentro de la tabla temporal_cambiocaducidad/////////
						$sqlGEB = "insert into temporal_cambiocaducidad (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,FECHA_CADU,USUARIO)
    					values('$id_nuevo','$CveBodCR1','$CveCueCR1','$NPalletEn','$FcaducidadPG','$UsuEn')";
						$resultadoGEB=mysql_query($sqlGEB,$conexion) or die(mysql_error());
										
					
					//////Guardar registro de Mivimiento dentro de la tabla tabla_pallet_proceso//////////
						$sqlGPM = "insert into tabla_pallet_proceso (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,TIPO_PROCESO,PROCESO_INI,PROCESO_FIN,USUARIO_REG,HORA,FECHA)
    					values('$id_nuevo','$CveBodCR1','$CveCueCR1','$NPalletEn','CAMBIO CADUCIDAD','-','-','$UsuEn','$HoraOK','$Fecha')";
						$resultadoGPM=mysql_query($sqlGPM,$conexion) or die(mysql_error());

		 }
		
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="2-ProcesosCaducidad3.php?txt_NPALLET=<?PHP echo $NPalletEn; ?>">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Edición Fecha Caducidad</font></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b># Pallet:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>NPalletEn</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>SKU:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$SkuIDP1</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Descripci&oacute;n:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$DesIDP1</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Lote:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$LotIDP1</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Caducidad:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$FcaducidadPG</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Cantidad:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$CanIDP1</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Estado Calidad:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$CAlIDP1</font>"; ?></td>
	      </tr>
		  <tr>
		  
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Fecha:</b></font> </td>
		    <td><p>
		      <input name="txt_fecha" type="text" id="txt_fecha" size="25" required="required" autofocus="autofocus" />
	        <font class="Clase_TipoLetra">aaaa/mm/dd</font></p></td>
		    <td></td></td>
		    <td></td>
		    <td></td></td>
		    
          </tr>



		  <tr>
		    <td colspan="2"><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
        <input type="hidden" name="EliBuf"
		value="SI" /></td>
	      </tr>
		  <tr>
		    <td align="center"><input type="submit" name="button" id="button" value="Aplicar" /></td>
		    <td align="center"><input type="button" value="Regresar" onClick=" window.location.href='<?PHP echo"2-ProcesosCaducidad.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI";?>' "/> 
            </td></td>
	      </tr>
		</table>
     
	</form>
      <!-- Termina Cuerpo de la Pantalla -->
  		
  </div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP


}////Termina Identidicar la disponibilidad del Pallet en el buffer
}////termina si el pallet se encuentra en proceco
} ///Termina IF Existencia de Documento
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
